#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	scanmem
Version		:	0.17
Release		:	14.8.0.0%{?dist}
Summary		:	Memory scanner

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and LGPLv3+
URL		:	https://github.com/scanmem/scanmem

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	autoconf
BuildRequires	:	gcc
BuildRequires	:	intltool
BuildRequires	:	libtool
BuildRequires	:	make
BuildRequires	:	readline

Requires	:	%{name}-libs		=  %{version}-%{release}

Requires(post)	:	%{_bindir}/gtk-update-icon-cache

#-----------------------------------------------------------------------------
%description
scanmem is a simple interactive debugging utility,
used to locate the address of a variable in an
executing process. This can be used for the
analysis or modification of a hostile process
on a compromised machine, reverse engineering,
or as a "pokefinder" to cheat at video games.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		libs
Summary		:	Memory scanner library

#-----------------------------------------------------------------------------
%description		libs
Memory scanner library

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

#=============================================================================
%package		devel
Summary		:	Development libraries and header files for %{name}


Requires	:  %{name}-libs		=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Development libraries and header files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so

#=============================================================================
%package		-n gameconqueror
Summary		:	CheatEngline-alike interface for scanmem


#-----------------------------------------------------------------------------
BuildRequires	:  desktop-file-utils
BuildRequires	:  gettext
BuildRequires	:  python3

Requires	:  %{name}-libs		=  %{version}-%{release}
Requires	:  gtk3+
Requires	:  polkit

#-----------------------------------------------------------------------------
%description		-n gameconqueror
GameConqueror is a GUI front-end for scanmem, providing
more features, such as:
  * Flexible syntax for searching
  * Easier and multiple variable locking
  * Better process finder
  * Memory browser/edito

#-----------------------------------------------------------------------------
%files			-n gameconqueror -f GameConqueror.lang
%defattr(-,root,root,-)
%{_bindir}/gameconqueror
%{_datadir}/gameconqueror/*.py
%{_datadir}/gameconqueror/GameConqueror.ui
%{_datadir}/gameconqueror/GameConqueror_*.png
%{_datadir}/gameconqueror/__pycache__/*.pyc
%{_datadir}/applications/GameConqueror.desktop
%{_datadir}/appdata/GameConqueror.appdata.xml
%{_datadir}/icons/hicolor/*/apps/GameConqueror.png
%{_datadir}/polkit-1/actions/org.freedesktop.gameconqueror.policy
%{_datadir}/polkit-1/rules.d/gameconqueror.rules
%{_mandir}/man1/gameconqueror.1.gz

%post			-n gameconqueror
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%setup -q

tar xvf %{SOURCE1}

sed -i							\
  -e "1s|.*|#!%{__python3}|"				\
  gui/GameConqueror.py

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gui					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%check
%{__make} check
desktop-file-validate %{buildroot}%{_datadir}/applications/GameConqueror.desktop
#appstream-util						\
#	validate-relax					\
#        --nonet						\
#	%{buildroot}%{_datadir}/appdata/GameConqueror.appdata.xml

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#adding a rules to execut gameconqueror
%{__mkdir_p}						\
	%{buildroot}%{_datadir}/polkit-1/rules.d/
%{__cp} -a						\
	%{name}-ok_addon/gameconqueror.rules		\
	%{buildroot}%{_datadir}/polkit-1/rules.d/

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# We install docs ourselves
%{__rm} -vrf %{buildroot}%{_datadir}/doc/%{name}-%{version}/

# No need to do bytecode compilation for us
find %{buildroot}%{_datadir}/gameconqueror/ -type f -name '*.py[co]' -print -delete

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/gameconqueror

%find_lang GameConqueror
#-----------------------------------------------------------------------------
%changelog
